function oscInit(){
	elem = document.createElement('div');
	
	// create osc_seltext element to hold a selected text
	elem.id = 'osc_seltext';
	elem.style.visibility = 'hidden';
	
	document.body.appendChild(elem);
	
	oscEmbedNaturalImageSize();
}


function oscGetSelectedText(){
	document.getElementById('osc_seltext').innerText = document.selection.createRange().text;
}


function oscChangeFontSize(fontsize){
	document.body.style.fontSize = fontsize + 'px';
}


function oscChangeContentVisible(visible){
	disp = (visible ? 'block' : 'none');
	
	// find <div> with 'class="content"'
	elems = document.getElementsByTagName('div');
	
	for(i = 0; i < elems.length; i++){
		if(elems[i].className == 'content'){
			elems[i].style.display = disp;
		}
	}
}


function oscEmbedNaturalImageSize(){
	elems = document.getElementsByTagName('img');
	
	for(i = 0; i < elems.length; i++){
		elem = elems[i];
		
		img = document.images(elem.name);
		if(img){
			// embed natural image size in its classname
			m = elem.className.match(/scale([0-9]+)/);
			if(m){
				scale = parseFloat(m[1]) / 100.0;
			}
			else{
				scale = 1;
			}
			
			if(r = img.runtimeStyle){
				r.width = 'auto';
				r.height = 'auto';
				w = img.width * scale;
				h = img.height * scale;
				r.removeAttribute('width');
				r.removeAttribute('height');
				
				elem.className = w + '_' + h;
			}
		}
	}
}


function oscFlexibleScaledImageWidth(elem){
	wi = 0;
	if(elem.className){
		if(m = elem.className.match(/^([0-9\.]+)_[0-9]+/)){
			wi = parseFloat(m[1]);
		}
	}
	
	if(elem.parentElement.className == 'imgbox'){
		wo = elem.offsetParent.offsetWidth;

		return (wi > wo ? wo : wi) + 'px';
	}
	else{
		return wi + 'px';
	}
}
